Jump to content
Mitsu

UE4 4.10 requires Visual C++ Redistributable 2015, will the game client do so, too?

Recommended Posts

Hello folks,

 

I've been messing with UE4 to get the hang of level design and to hopefully contribute to Squad's future modding community. I was running 4.9 flawlessly on my Win 8.1 machine so far and had a great time until Update 4.10 for UE4 came out. Version 4.10 requires Visual C++ Redistributable 2015 (newest version) to run, which usually is no big deal to update but for some weird reason my Win 8.1 skipped required Windows Updates and missed out 2 essential Updates that need to be installed in order to run the vcredist 2015 setup.

 

UE4 4.10 Blogpost: https://www.unrealengine.com/blog/unreal-engine-4-10-released

Visual C++ Redistributable 2015 Download: https://www.microsoft.com/en-us/download/details.aspx?id=48145

 

So in conclusion:

Windumb Updater skipped important Updates and Service Packs > I cant install vcredist 2015 > Can't run UE4 4.10 (4.9 is fine tho) > Afraid I won't be able to play Squad when Squad upgrades to new UE version.

 


So, Offworld, any information on if I need to reinstall windows entirely (which would fix the vcredist 2015 problem) / when will Squad upgrade to 4.10?

 

Thanks in advance for any kind of input to this issue!

 

Share this post


Link to post
Share on other sites

Yes, you will. The new versions will require 2015 version. There's some internal testing to do as well with this to make sure everyone gets the package, but that maybe for steam downloads.

Share this post


Link to post
Share on other sites

Yes, you will, the version will require 2015 version. There's some internal testing to do as well with this to make sure everyone gets the package, but that maybe for steam downloads.

Cheers, I'll reinstall Windows then. 

I'm sure the pain of redownloading all my software will be worth playing Squad!

Yes, steam will auto download and install the required software.

 

Good to know, sadly the required software won't be able to run on my system as the Windows Updater messed up and I can't install the required packages to run VC 2015.

Share this post


Link to post
Share on other sites

just manually install the latest service pack and you should be good. if that doesn't work. use google to figure out which regedit entries you need to remove to get the win updater to reinstall properly.

Share this post


Link to post
Share on other sites

Yes, steam will auto download and install the required software.

It should at least. For VC 2015 this did not work on any PC for me. Had to install manually.

Share this post


Link to post
Share on other sites

just manually install the latest service pack and you should be good. if that doesn't work. use google to figure out which regedit entries you need to remove to get the win updater to reinstall properly.

 

I'll try that thanks. I'm missing updates that are required for the last service pack (KBsomethingsomething355). I'll figure it out I guess, didn't think of editing the registry to fix that issue, but some tutorials should fix this for me. Cheers!

Share this post


Link to post
Share on other sites

it's not automated yet.

It is. Steam tries to install it. It says "updating VC++..." but it always fails for me.

Share this post


Link to post
Share on other sites

It is. Steam tries to install it. It says "updating VC++..." but it always fails for me.

Norby can you figure out if VCRedist 2015 works for you? I'm updating to WIN 10 atm to eventually fix this issue.

Share this post


Link to post
Share on other sites

VCredist 2015 works fine. Just install it manually if steam fails to auto update. The game will also point out if its missing.

Share this post


Link to post
Share on other sites

Steam will take care of this.  

 

I think the issue didn't come across properly. I cannot run UE 4.10 or vcredist 2015 installer because my Windows Updates are messed up. I'm not sure if steam can fix this as the problem lies in Windows Updates. I just upgraded to Win 10 and the issue does not persist anymore

Share this post


Link to post
Share on other sites

Ok, so I had no problems running Squad until now it has been moved to Steam. I installed it, but it asks for microsoft visual c++ 2015 runtime. When I try to install that, it says it's already installed and I get only 'repair' or 'cancel' options. Basically I cannot play. I'm running win8.1. I have tried to install this https://www.microsoft.com/en-us/download/confirmation.aspx?id=48145

 

Is anyone else experiencing this?

Share this post


Link to post
Share on other sites

Ok, so I had no problems running Squad until now it has been moved to Steam. I installed it, but it asks for microsoft visual c++ 2015 runtime. When I try to install that, it says it's already installed and I get only 'repair' or 'cancel' options. Basically I cannot play. I'm running win8.1. I have tried to install this https://www.microsoft.com/en-us/download/confirmation.aspx?id=48145

 

Is anyone else experiencing this?

 

Press repair. If it doesnt work uninstall it and run the installer with admin rights.

Share this post


Link to post
Share on other sites

Ok, so I had no problems running Squad until now it has been moved to Steam. I installed it, but it asks for microsoft visual c++ 2015 runtime. When I try to install that, it says it's already installed and I get only 'repair' or 'cancel' options. Basically I cannot play. I'm running win8.1. I have tried to install this https://www.microsoft.com/en-us/download/confirmation.aspx?id=48145

 

Is anyone else experiencing this?

Should be easy to fix.

Go to the folder

\steamapps\common\Squad\_CommonRedist\vcredist\2015\
 

You'll see 3 files,

two of them EXE files (vc_redist.x64 and .x86).

You open each and finish the setup.

 

That should do it.

Share this post


Link to post
Share on other sites

Press repair. If it doesnt work uninstall it and run the installer with admin rights.

 

Should be easy to fix.

Go to the folder

\steamapps\common\Squad\_CommonRedist\vcredist\2015\
 

You'll see 3 files,

two of them EXE files (vc_redist.x64 and .x86).

You open each and finish the setup.

 

That should do it.

 

 

Thanks guys, but the hole is much deeper it seems. It seems there's a need to have this update installed Windows8.1-KB2999226 before you can install VC 2015 redistributables. However, there's a problem to install this update because it says it is not suitable for your version, even though you chose the correct OS. More here: https://social.msdn.microsoft.com/Forums/vstudio/en-US/64baed8c-b00c-40d5-b19a-99b26a11516e/visual-c-redistributable-for-visual-studio-2015-rc-fails-on-windows-server-2012?forum=vssetupCheck the last comment.

 

Then, check this http://stackoverflow.com/questions/31536606/while-installing-vc-redist-x64-exe-getting-error-failed-to-configure-per-machi

I have followed the correct answer and got the update installed and immediately was successful with installing both x64 and x86 versions of VC2015 redist, however..... the game still throws the same error -_- , so I give up for now. What I don't understand however, how come Squad was working before bringing it to Steam :(

 

Hope this helps at least someone else. It didn't help me though.

Share this post


Link to post
Share on other sites

What I don't understand however, how come Squad was working before bringing it to Steam :(

Squad up to A2.1 was using VCredist 2013. The A3 uses features from the Vredist 2015. That is why the update is required.

Share this post


Link to post
Share on other sites

Thanks guys, but the hole is much deeper it seems. It seems there's a need to have this update installed Windows8.1-KB2999226 before you can install VC 2015 redistributables. However, there's a problem to install this update because it says it is not suitable for your version, even though you chose the correct OS. More here: https://social.msdn.microsoft.com/Forums/vstudio/en-US/64baed8c-b00c-40d5-b19a-99b26a11516e/visual-c-redistributable-for-visual-studio-2015-rc-fails-on-windows-server-2012?forum=vssetupCheck the last comment.

 

Then, check this http://stackoverflow.com/questions/31536606/while-installing-vc-redist-x64-exe-getting-error-failed-to-configure-per-machi

I have followed the correct answer and got the update installed and immediately was successful with installing both x64 and x86 versions of VC2015 redist, however..... the game still throws the same error -_- , so I give up for now. What I don't understand however, how come Squad was working before bringing it to Steam :(

 

Hope this helps at least someone else. It didn't help me though.

 

I had a very similar issue with a Windows Update. The updater is just terribly confused when you skipped a single update and won't install older once. What fixed it for me was upgrading to Windows 10 but now my stupid OS does not respond after boot. Oh dear lord, why is Windows the only platform for gaming :(

Share this post


Link to post
Share on other sites

so... I didn't give up and it paid off. Apparently I was missing quite a huge service pack back from 2014 :rolleyes: (KB 2919355). After installing it (via selected windows update) and rebooting pc, Squad works!

Share this post


Link to post
Share on other sites

so... I didn't give up and it paid off. Apparently I was missing quite a huge service pack back from 2014 :rolleyes: (KB 2919355). After installing it (via selected windows update) and rebooting pc, Squad works!

 

That's the update my PC could not install unfortunately. Happy that it worked for you :)

Share this post


Link to post
Share on other sites

​VRedist was always a pain in the ass, no matter if it was VC Redist or other derivates of it.

​If you're lucky enough, you don't have to reinstall windows completely just to update it.

​Win 8/10 are a thing for itself, Windows 7 didn't make any trouble for me.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×